package com.example.dpanntout;

import android.os.Bundle;
import android.view.View;
import android.widget.Button;
import android.widget.EditText;
import android.widget.Toast;

import androidx.activity.EdgeToEdge;
import androidx.appcompat.app.AppCompatActivity;
import androidx.core.graphics.Insets;
import androidx.core.view.ViewCompat;
import androidx.core.view.WindowInsetsCompat;

import java.sql.Date;

import bdd.ClientDAO;
import bdd.InterventionDAO;
import metier.Client;
import metier.Intervention;

public class creerIntervention extends AppCompatActivity {
    private EditText observation;
    private EditText date ;
    private EditText idCliInter ;
   private Button ajtInter;

   //variables qui vont recuperer les valeurs saisies
    String saisieObservation;
    String saisiedate;
    int  saisieIdCli;


    Intervention intervention ;  //nv client créer avec les nvl valeur
    long IdInnterventioncree; //id unique du client crée

    private InterventionDAO interventionDAO = null;



    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        EdgeToEdge.enable(this);
        setContentView(R.layout.activity_creer_intervention);
        ViewCompat.setOnApplyWindowInsetsListener(findViewById(R.id.main), (v, insets) -> {
            Insets systemBars = insets.getInsets(WindowInsetsCompat.Type.systemBars());
            v.setPadding(systemBars.left, systemBars.top, systemBars.right, systemBars.bottom);
            return insets;
        });
        Initialisation();
        CreationIntervention();
    }



    private void Initialisation() {
        //gestion du bouton quitter
        Button tvBtQuitterInter = (Button) findViewById(R.id.tvBtQuitterInter);
        //associer l'evenement quitter au boutton quitter
        tvBtQuitterInter.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                interventionDAO.close();
                finish();
            }
        });
    }

    //methode pour créer le nouveau client avec les informations saisies
    public void CreationIntervention(){
        // Reconnaissance des contrôles graphiques de la vue
        observation = (EditText) findViewById(R.id.tvDateInterP3);
        date = (EditText) findViewById((R.id.obsInterP3));
        idCliInter = (EditText) findViewById(R.id.idCliInter) ;
        ajtInter =(Button) findViewById(R.id.btAddInter);
        //acces à la table client
        interventionDAO = new InterventionDAO(this);
        // Gestion de l'événement onClick sur le boutn Ajouter
        ajtInter.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                //recuperation des zones de valeurs saisies
                saisieObservation = observation.getText().toString();
                saisiedate = date.getText().toString();
                saisieIdCli = Integer.parseInt(idCliInter.getText().toString());

                intervention = new Intervention(saisieObservation, saisiedate,(int) saisieIdCli);

                long IdInnterventioncree = interventionDAO.create(intervention);

                //toast pour afficher un msg a l'ecran
                Toast.makeText(getApplicationContext(), "Intervention ajouté + " + "no :  " + IdInnterventioncree + ")", Toast.LENGTH_SHORT).show();

                //permettre au zone de saisie de s'effacer quand on a enregistrer
                observation.setText("");
                date.setText("");
                idCliInter.setText("");
            } });

    }
}







